{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.egg.crack_sound": {
      "states": {
        "default": {
          "on_entry": [
            "v.current_variant = q.variant;"
          ],
          "transitions": [
            { "crack": "v.current_variant != q.variant" }
          ]
        },
        "crack": {
          "sound_effects": [
            {
              "effect": "crack"
            }
          ],
          "transitions": [
            { "default": "1" }
          ]
        }
      }
    },
    "controller.animation.silverlabs_nat.egg.crack_sound_v2": {
      "states": {
        "default": {
          "on_entry": [
            "v.current_variant = q.variant;"
          ],
          "transitions": [
            { "hatch": "q.variant == 3" },
            { "crack": "v.current_variant != q.variant" }
          ]
        },
        "crack": {
          "sound_effects": [
            {
              "effect": "crack"
            }
          ],
          "transitions": [
            { "default": "1" }
          ]
        },
        "hatch": {
          "sound_effects": [
            {
              "effect": "hatch"
            }
          ]
        }
      }
    }
  }
}
